- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Creates a trip. This must be called before the mobile application can start the trip. The returned trip will have the authToken field set.
HTTP request
POST https://navigationconnect.googleapis.com/v1/{parent=projects/*}/trips
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource under which this trip will be created. Format: projects/{project_number} |
Query parameters
| Parameters | |
|---|---|
tripId |
Required. The ID to use for the trip, which will become the final component of the trip's resource name. This value must be a valid RFC-4122 UUID. |
Request body
The request body contains an instance of Trip.
Response body
If successful, the response body contains a newly created instance of Trip.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the parent resource:
navigationconnect.trips.create
For more information, see the IAM documentation.